Subject: Re: perl & Win32 lib support
From: "Gerrit P. Haase" <[email-masked]>
To: linda w <[email-masked]>
Cc: Yitzchak Scott-Thoennes <[email-masked]>, [email-masked]
Date: Thu, 10 Feb 2005 02:16:28 +0100

linda w wrote:
> Yitzchak Scott-Thoennes wrote:
> 
>> What exactly is giving the error, and what error are you getting?
> 
> 
> I had an IsWinNT is undefined error message 2 days ago, but I removed some
> old-seeming directories (since I have 5.8.6 installed, I thought I'd
> try deleting older versioned directories, though I have no 5.8.6
> directories and most of the perl-lib files I had installed were under
> /lib/perl5/5.8.5 which seems odd -- I would have thought installing a
> newer perl would have installed lib files in 5.8.6...(?)

The naming scheme changed.  D+LL name is cygperl_5.8.dll and directories
are named .../5.8/...  The reason is that you can keep your modules when
5.8.7 is released, unless binary compatibility breaks.

> The error/build messages I am seeing now are:
[...]
> 3) Processing hints file hints/cygwin.pl
>   Note (probably harmless): No library found for -lole32
>   Note (probably harmless): No library found for -loleaut32
>   Note (probably harmless): No library found for -luuid
>   Note (probably harmless): No library found for -lmsvcrt40
> ### these are all libs I see in /usr/lib/w32api as "lib<libname>.a"

Then -L/usr/lib/w32api is missing in hints/cygwin.pl.

> 4) Warning: prerequisite Win32API::Registry 0 not found.
>   Writing Makefile for Win32::TieRegistry
> 
> 5) make[2]: Entering directory 
> `//ishtar/share/CPAN/build-cygwin/GSAR001/libwin32-0.191/APIFile'
> Makefile:705: *** missing separator.  Stop.
> make[2]: Leaving directory
> ### This appears to be a bug in the Makefile, line 704 has a target,
> ### but the build-line on line 705 isn't tab-indented, it's space indented
> ### which would seem to be a problem in the source that builds the Makefile

This is annoying, I get it occasionally, I believe it is a bug in
MakeMaker, but I couldn't find it yet.  Does the build continue if you 
add the missing tab and run make again?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/